package com.caimei.mapper.cmMapper;

import com.caimei.model.po.CmBrandAuthPo;
import com.caimei.model.po.LdmDataPo;
import com.caimei.model.vo.AuthVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2021/5/11
 */
@Mapper
public interface AuthMapper {

    List<AuthVo> getAuthList(@Param("listType") Integer listType, @Param("authUserId") Integer authUserId, @Param("authParty") String authParty, @Param("status") Integer status, @Param("auditStatus") Integer auditStatus, @Param("lowerAuditStatus") Integer lowerAuditStatus);

    void updateAuthStatusByAuthId(@Param("authId") Integer authId, @Param("status") Integer status);

    void deleteAuthByAuthId(Integer authId);

    void insertAuth(CmBrandAuthPo auth);

    void updateAuthByAuthId(CmBrandAuthPo auth);

    Integer getProductWaitAuditNum(Integer authId);

    void updateAuthAuditStatus(@Param("authId") Integer authId, @Param("status") Integer status, @Param("auditStatus") Integer auditStatus, @Param("invalidReason") String invalidReason, @Param("auditBy") Integer auditBy, @Param("auditTime") Date auditTime);

    Integer getClubStatus(Integer authId);

    CmBrandAuthPo getAuthById(Integer authId);

    Integer getAuthIdByAuthParty(@Param("authParty") String authParty, @Param("authUserId") Integer authUserId);

    List<CmBrandAuthPo> getAuthPartyList(Integer authUserId);

    void deleteBanner(Integer authId);

    void insertBanner(@Param("authId") Integer authId, @Param("banner") String banner);

    List<String> getBannerList(Integer authId);

    List<LdmDataPo> getLdmData();

    Integer getProvinceId(String regId1);

    Integer getCityId(String regId1);

    Integer getTownId(String regId1);

    Integer getLdmLatestClubId();

    void updateLdmLatestClubId(Integer ldmLatestClubId);
}
