package com.caimei.service.wechat;

import com.caimei.model.ResponseJson;
import com.caimei.model.vo.WxClubUserVo;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2021/7/15
 */
public interface LoginService {
    /**
     * 微信授权登录
     * @param code
     * @param appId
     * @return
     */
    ResponseJson<WxClubUserVo> loginByAuthorization(String code, String appId);

    /**
     * 发送登录验证码
     *
     * @param mobile
     * @param appId
     * @param type
     * @return
     */
    ResponseJson sendVerifyCode(String mobile, String appId, Integer type);

    /**
     * 服务号验证码登录
     */
    ResponseJson<WxClubUserVo> loginByVerifyCode(String mobile, String verifyCode, String accessToken, String openId, String appId) throws Exception;

    /**
     * 订阅号验证码登录
     * @param mobile        手机号
     * @param verifyCode    验证码
     * @param appId         公众号appId
     * @return
     */
    ResponseJson<WxClubUserVo> loginByVerifyCode(String mobile, String verifyCode, String appId);
 }
